[Overview][Constants][Procedures and functions][Index] | Reference for unit 'dateutils' (#rtl)

# SecondOfTheYear

Calculate the number of seconds elapsed since the start of the year.

## Declaration

Source position: dateutil.inc line 182

`function SecondOfTheYear(`
`const AValue: TDateTime`
`):LongWord;`

## Arguments

`AValue` |  | Moment in the year

## Function result

Number of seconds elapsed since the start of the year.

## Description

SecondOfTheYear returns the number of seconds that have passed since the start of the year (January 1, 00:00:00) till the moment indicated by AValue. This is a zero-based number, i.e. January 1 00:00:00.999 will return 0.

For an example, see the WeekOfTheYear function.

## See also

WeekOfTheYear |  | Extract the week of the year (and optionally year) of a DateTime indication.
DayOfTheYear |  | Extracts the day of the year from a TDateTime value
HourOfTheYear |  | Calculate the number of hours passed since the start of the year.
MinuteOfTheYear |  | Calculate the number of minutes elapsed since the start of the year
SecondOfTheYear |  | Calculate the number of seconds elapsed since the start of the year.
MilliSecondOfTheYear |  | Calculate the number of milliseconds elapsed since the start of the year.

Documentation generated on: Feb 26 2014